Skip to main content
Network Management/Network Resources/Distributed Port Group Related Interfaces
PUTDistributed Port Group Related InterfacesSince 0.6SynchronousAuth Required

UpdateIpRange

UpdateIpRange

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • nameString

    Optional. The IP range name.

  • descriptionString

    Optional. The detailed description of the IP range.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

  • inventoryIpRangeInventoryRequired

    See inventory.

  • codeStringRequired

    The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

  • descriptionStringRequired

    The brief description of the error.

  • detailsStringRequired

    The details about the error.

  • elaborationStringRequired

    The reserved field. Default value: null.

  • opaqueLinkedHashMapRequired

    The reserved field. Default value: null.

  • causeErrorCodeRequired

    The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • uuidStringRequired

    The resource UUID.

  • l3NetworkUuidStringRequired

    The L3 network UUID.

  • nameStringRequired

    The resource name.

  • descriptionStringRequired

    The detailed description of the resource.

  • startIpStringRequired

    开始IP。

  • endIpStringRequired

    结束IP。

  • netmaskStringRequired

    No description provided.

  • prefixLenStringRequired

    The prefix length.

  • gatewayStringRequired

    No description provided.

  • networkCidrStringRequired

    No description provided.

  • ipVersionIntegerRequired

    The IP version.

  • addressModeStringRequired

    The IPv6 address allocation mode.

  • createDateTimestampRequired

    The creation date.

  • lastOpDateTimestampRequired

    The last operation date.

Endpoint

PUT/zstack/v1/l3-networks/ip-ranges/{uuid}/actions

/zstack/v1/l3-networks/ip-ranges/{uuid}/actions

Operation ID

UpdateIpRange

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/l3-networks/ip-ranges/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "l3NetworkUuid": "f7f0ee7b4978413fa36c811e47dd56a3", "name": "Test-IPRange", "networkCidr": "192.168.10.0/24" } }

Change History

This API has no change history records yet.

View all change history